RegionConfigurationCacheListener (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.util, class: RegionConfigurationCacheListener

Package org.apache.geode.modules.util

# Class RegionConfigurationCacheListener

java.lang.Object
org.apache.geode.cache.util.CacheListenerAdapter<String,RegionConfiguration>
org.apache.geode.modules.util.RegionConfigurationCacheListener

All Implemented Interfaces:
  `CacheCallback`, `CacheListener<String,RegionConfiguration>`, `Declarable`

public class RegionConfigurationCacheListener extends CacheListenerAdapter<String,RegionConfiguration> implements Declarable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterCreate(EntryEvent<String,RegionConfiguration> event)`
  Handles the event of new key being added to a region.
  `void`
  `afterRegionCreate(RegionEvent<String,RegionConfiguration> event)`
  Handles the event of a region being created.
  `void`
  `afterUpdate(EntryEvent<String,RegionConfiguration> event)`
  Handles the event of an entry's value being modified in a region.

  ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

  `afterDestroy, afterInvalidate, afterRegionClear, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, close`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.geode.cache.Declarable

  `init, initialize`

- ## Method Details

  - ### afterCreate

    public void afterCreate(EntryEvent<String,RegionConfiguration> event)
    Description copied from interface: `CacheListener`
    Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
    Specified by:
      `afterCreate` in interface `CacheListener<String,RegionConfiguration>`
    Overrides:
      `afterCreate` in class `CacheListenerAdapter<String,RegionConfiguration>`
    Parameters:
      `event` - the EntryEvent
    See Also:
      - `Region.create(Object, Object)`
      - `Region.put(Object, Object)`
      - `Region.get(Object)`

  - ### afterUpdate

    public void afterUpdate(EntryEvent<String,RegionConfiguration> event)
    Description copied from interface: `CacheListener`
    Handles the event of an entry's value being modified in a region. This entry previously existed in this region in the local cache, but its previous value may have been null.
    Specified by:
      `afterUpdate` in interface `CacheListener<String,RegionConfiguration>`
    Overrides:
      `afterUpdate` in class `CacheListenerAdapter<String,RegionConfiguration>`
    Parameters:
      `event` - the EntryEvent
    See Also:
      - `Region.put(Object, Object)`

  - ### afterRegionCreate

    public void afterRegionCreate(RegionEvent<String,RegionConfiguration> event)
    Description copied from interface: `CacheListener`
    Handles the event of a region being created. Events are invoked for each individual region that is created.

    Note that this method is only called for creates done in the local vm. To be notified of creates done in remote vms use `RegionMembershipListener.afterRemoteRegionCreate(org.apache.geode.cache.RegionEvent<K, V>)`.

    Specified by:
      `afterRegionCreate` in interface `CacheListener<String,RegionConfiguration>`
    Overrides:
      `afterRegionCreate` in class `CacheListenerAdapter<String,RegionConfiguration>`
    Parameters:
      `event` - the RegionEvent
    See Also:
      - `Cache.createRegion(java.lang.String, org.apache.geode.cache.RegionAttributes<K, V>)`
      - `Region.createSubregion(java.lang.String, org.apache.geode.cache.RegionAttributes<SK, SV>)`